<?php
	$timestr=strftime("%Y-%m-%d %H:%M:%S");
	$n=0;
	$acl="";
	$loginname=trim($_REQUEST["loginname"]);
	$password=trim($_REQUEST["password"]);
	if ($loginname!="") {
		$db=mysql_pconnect(get_cfg_var("SIPSERVER"),get_cfg_var("SIPUSER"),get_cfg_var("SIPPWD")); 
		mysql_select_db(get_cfg_var("SIPDB"),$db);
		$rs = mysql_query("select password,acl from operators where operator='".$loginname."'",$db);		//查找该操作员ID记录
		$row = mysql_fetch_array($rs);
		if (!$row) {										//没有找到
			mysql_free_result($rs);
			$n=1;				//不存在该操作员ID
		}
		else {
			$password1=$row["password"];
			if ($password!=$password1) {
				$n=2;				//密码错误
			}
			else {
				$acl=trim($row["acl"]);
				$n=3;			//登录成功
			}
			mysql_free_result($rs);
			if ($n==3) {		//获取该操作员有权限的模块代码，组成一个字符串，用于判断权限
				$rs = mysql_query("select appcode from module order by appcode",$db);
				$tmpstr="1";	//前面加一个字符，避免<1001>搜索为0的情况
				$m=0;
				while ($row = mysql_fetch_array($rs)) {
					if (strlen($acl)>$m && substr($acl,$m,1)=="1") {
						$tmpstr=$tmpstr."<".$row["appcode"].">";
					}
					$m=$m+1;
				}
				$acl=$tmpstr;
				mysql_free_result($rs);
				mysql_query( "insert into operation values('".$loginname."','".$timestr."','操作登录')",$db );
			}
		}
		mysql_close($db);
	}
	else {
		$n=0;				//没有输入操作员ID
	}
	if ($n==3) {		//登录成功，转到酒店对内管理主页
		ob_clean();
		$_SESSION["operator"]=$loginname;
		$_SESSION["acl"]=$acl;
		header("Location: menu.php");
		exit;
	}
?>


<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<meta http-equiv="Content-Language" content="zh-cn">
<title>操作员登录响应</title>
</head>

<body background="bkg.bmp">

<p align="center"><font size="5"><b>操作员登录响应</b></font></p>
<hr color="#999966">


<p align=center>
<?php
	//登录未成功，显示原因
	if ($n==1) {
		echo("错误，不存在此操作员ID！");
	}
	elseif ($n==2) {
		echo("错误，用户密码不符！");
	}
	else {
		echo("错误，必须输入操作员ID！");
	}
?>
</p>


<hr>
<p align="center">SIP企业上网管理系统</p>
<p align="center">作者：<b>深圳市飞沃软件有限公司</b></p>

</html>
